Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.recipe.services
Class RecipeError

    java.lang.Object
      be.recipe.services.RecipeError

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class RecipeError

extends Object
implements Serializable

Java class for recipeError complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="recipeError">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="message" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="resolution" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="severity" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`RecipeError()`

Method Summary
`String` | `getMessage()` Gets the value of the message property.
`String` | `getResolution()` Gets the value of the resolution property.
`String` | `getSeverity()` Gets the value of the severity property.
`void` | `setMessage(String value)` Sets the value of the message property.
`void` | `setResolution(String value)` Sets the value of the resolution property.
`void` | `setSeverity(String value)` Sets the value of the severity property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipeError

    public RecipeError()

Method Detail

### getMessage

    public String getMessage()

  Gets the value of the message property.

  Returns:
    possible object is `String`

### setMessage

    public void setMessage(String value)

  Sets the value of the message property.

  Parameters:
    `value` - allowed object is `String`

### getResolution

    public String getResolution()

  Gets the value of the resolution property.

  Returns:
    possible object is `String`

### setResolution

    public void setResolution(String value)

  Sets the value of the resolution property.

  Parameters:
    `value` - allowed object is `String`

### getSeverity

    public String getSeverity()

  Gets the value of the severity property.

  Returns:
    possible object is `String`

### setSeverity

    public void setSeverity(String value)

  Sets the value of the severity property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.